10de:0422 [Asus M2N] Xorg crashed with SIGABRT

Bug #1238902 reported by Carla Sella on 2013-10-11
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
X.Org X server
Confirmed
Medium
xorg-server (Ubuntu)
Medium
Unassigned

Bug Description

After resuming from suspension of my PC. The backtrace may be found at:
https://launchpadlibrarian.net/153518329/XorgLogOld.txt

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.3-3ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Fri Oct 11 19:02:16 2013
DistUpgraded: 2013-10-11 06:32:17,679 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.2.16, 3.11.0-12-generic, x86_64: installed
 virtualbox, 4.2.16, 3.8.0-32-generic, x86_64: installed
ExecutablePath: /usr/bin/Xorg
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8400 GS] [10de:0422] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: XFX Pine Group Inc. Device [1682:2310]
InstallationDate: Installed on 2012-03-02 (587 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
MachineType: System manufacturer System Product Name
MarkForUpload: True
ProcCmdline: /usr/bin/X -core :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-12-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 ?? () from /usr/lib/xorg/modules/libexa.so
 ?? () from /usr/lib/xorg/modules/libexa.so
 ?? () from /usr/lib/xorg/modules/libexa.so
 ?? () from /usr/lib/xorg/modules/libexa.so
 ?? () from /usr/lib/xorg/modules/libexa.so
Title: Xorg crashed with SIGABRT
UpgradeStatus: Upgraded to saucy on 2013-10-11 (0 days ago)
UserGroups:

dmi.bios.date: 05/28/2007
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0702
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0702:bd05/28/2007:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.14.3-3ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Fri Oct 11 19:03:36 2013
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.14.3-3ubuntu1
xserver.video_driver: nouveau
---
.tmp.unity.support.test.0:

ApportVersion: 2.13.1-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
DistUpgraded: 2013-10-25 23:00:42,375 DEBUG enabling apt cron job
DistroCodename: trusty
DistroRelease: Ubuntu 14.04
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.3.2, 3.12.0-8-generic, x86_64: installed
 virtualbox, 4.3.2, 3.13.0-1-generic, x86_64: installed
 virtualbox, 4.3.2, 3.13.0-2-generic, x86_64: installed
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8400 GS] [10de:0422] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: XFX Pine Group Inc. Device [1682:2310]
InstallationDate: Installed on 2012-03-02 (679 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
MachineType: System manufacturer System Product Name
Package: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-2-generic root=UUID=85f8c649-a0b7-4899-8b56-cf85fbe7f8e5 ro quiet splash crashkernel=384M-2G:64M,2G-:128M crashkernel=384M-2G:64M,2G-:128M crashkernel=384M-2G:64M,2G-:128M crashkernel=384M-:128M vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-2.17-generic 3.13.0-rc7
Tags: trusty ubuntu reproducible compiz-0.9
Uname: Linux 3.13.0-2-generic x86_64
UpgradeStatus: Upgraded to trusty on 2013-10-25 (77 days ago)
UserGroups: adm admin autopilot cdrom dip libvirtd lpadmin plugdev sambashare sudo vboxusers
dmi.bios.date: 03/27/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0808
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0808:bd03/27/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.50-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.0.1-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.0.1-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.14.5-1ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.907-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
xserver.bootTime: Sat Jan 11 18:56:20 2014
xserver.configfile: default
xserver.errors:
 Failed to load module "nvidia" (module does not exist, 0)
 Failed to load module "nvidia" (module does not exist, 0)
xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.14.5-1ubuntu2
xserver.video_driver: nouveau
---
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu17.4
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CurrentDmesg: [ 46.473520] type=1400 audit(1390123742.766:28): apparmor="DENIED" operation="open" parent=1 profile="/usr/lib/telepathy/mission-control-5" name="/usr/share/gvfs/remote-volume-monitors/" pid=2038 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
DistUpgraded: Fresh install
DistroCodename: precise
DistroRelease: Ubuntu 12.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, even including gdb or git bisection work if needed
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8400 GS] [10de:0422] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: XFX Pine Group Inc. Device [1682:2310]
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MachineType: System manufacturer System Product Name
MarkForUpload: True
Package: xorg-server (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-29-generic root=UUID=9c9ee133-d13a-4b8b-be46-b74cc142e5f4 ro quiet splash
ProcVersionSignature: Ubuntu 3.8.0-29.42~precise1-generic 3.8.13.5
Tags: precise ubuntu referred-by-support compiz-0.9
Uname: Linux 3.8.0-29-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 03/27/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0808
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M2N
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0808:bd03/27/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM2N:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.12-0ubuntu2
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.43-0ubuntu0.0.2
version.libgl1-mesa-dri: libgl1-mesa-dri N/A
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Carla Sella (carla-sella) wrote :

Thank you for taking the time to report this crash and helping to make this software better. This particular crash has already been reported and is a duplicate of bug #1033533, so is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

information type: Private → Public
tags: removed: need-amd64-retrace

Carla Sella, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-video-nouveau REPLACE-WITH-BUG-NUMBER

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: bios-outdated-0808
Changed in xorg-server (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Carla Sella (carla-sella) wrote :

Hello Christopher,
This bug is still happening to me.
I have problems when I resume after suspension see bug 1247654, I have to turn my PC off by pressing power button and when I logon to my session again I get Xorg crash reported.

tags: added: apport-collected reproducible trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Carla Sella, thank you for providing the requested information. Did this problem not occur in a release prior to Saucy?

tags: added: latestbios-0808
removed: bios-outdated-0808
tags: added: latest-bios-0808
removed: latestbios-0808
summary: - Xorg crashed with SIGABRT
+ 10de:0422 [Asus M2N] Xorg crashed with SIGABRT
Changed in xorg-server (Ubuntu):
importance: Low → Medium
Carla Sella (carla-sella) wrote :

Hi Christofer,
This problem did not occur in a release prior to Saucy as long as I can remember.

Carla Sella, thank you for providing the requested information. The next step is to fully commit bisect from Precise to Saucy, in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/X/Bisecting ?

tags: added: needs-bisect regression-release

apport information

tags: added: precise referred-by-support
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Carla Sella (carla-sella) wrote :

@Christopher - I tested Precise 12.04.3 LTS and on four times I tested suspension two times I got Xorg crash.
I managed to attach the crash report to this bug if it is useful.
I am quite sure I used to suspend my PC without problems, not sure in what release, Precise seems quite a lot time ago, but looks like crashed used to occur also then.
What should I do now? continue testing with Quantal to see if crash occurs also there or what ?
Thanks

description: updated
tags: removed: precise
Carla Sella (carla-sella) wrote :

@Christopher: So I tested Ubuntu 12.04.2 LTS (Precise Pangolin) from the link you gave me, and the Xorg crash did not occur.
So I will now continue with bisection up to Saucy in order to identify the offending commit.

Carla Sella (carla-sella) wrote :

Christopher, I have tested Quantal 12.10 and I got no crahes. I got an Xorg crash testing Raring 13.04.
I would like to attach the crash file to this bug report, but if I try "ubuntu-bug -c _usr_bin_Xorg.0.crash -u 1238902" I get an error: "ERROR: The launchpadlib Python module is not installed. This functionality is not available."
I was wondering if there is a way to let you have that crash file a part from attaching it to this bug report, but I'm no sure that will be useful.

Carla Sella, I wouldn't worry about attaching a crash file, or filing another report as this report has a full backtrace. Now that you have bisected Ubuntu releases and identified the problem is going from Quantal to Raring, the next step would be to fully commit bisect between these releases to find the offending commit.

Carla Sella (carla-sella) wrote :

Ok fine, I will do that.
Thanks

Carla Sella (carla-sella) wrote :

Hello Christopher,
Sorry but I never worked with git so I am unable to find out how to clone X.org.
I've tried git clone git://anongit.freedesktop.org/git/xorg but this is wrong.
Can you help me or tell me who I can ask to carry on with bisect ?
Thanks.

Carla Sella (carla-sella) wrote :

I found this, but not sure it's the right one : git clone git://cgit.freedesktop.org/xorg/xserver.

Carla, that would be the correct one.

Carla Sella (carla-sella) wrote :

Hello Chrisstopher,
When building X from source after having compiled the Kernel (3.8.0-35-generic), dependencies, DRM and Mesa I get stuck on the Gallium build with this error:
mklib: Installing libGL.so.1.5.070100 libGL.so.1 libGL.so in ../../../../lib64
mv: cannot stat ‘libGL.so.1.5.070100’: No such file or directory
not sure if gallium-0.1 is the right and/or latest version to install as stated here: http://xorg.freedesktop.org/wiki/Development/BuildingX/.
I tried to search on the internet but couldn't find which is the right/latest version.

Carla, if you are having issues bisecting the development stack, let us engage upstream on this given this is reproducible in Trusty, and we at least have it bisected down to releases/versions of xorg-server. Could you please report this problem via https://bugs.freedesktop.org/enter_bug.cgi ?

Please provide a direct URL to your bug report once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in xorg-server (Ubuntu):
status: Incomplete → Triaged

10de:0422 [Asus M2N]
Xorg crashed with SIGABRT After resuming from suspension of my PC.
The backtrace may be found at:
https://launchpadlibrarian.net/153518329/XorgLogOld.txt
I have already reported this bug on launchpad:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1238902
This is the hardware of my PC: http://phillw.net/hardware/kuDwMTTb
I am running the latest version of Ubuntu Trusty Thar 14.04 with all updates applied and with the latest kernel (3.13.0-6-generic #23-Ubuntu).
This bug has occured since Ubuntu Raring Ringtail 13.04.

Carla Sella (carla-sella) wrote :

This is the bug I reported upstream:
https://bugs.freedesktop.org/show_bug.cgi?id=74695

This happens in response to the GPU hanging. X could perhaps handle this a little more gracefully (e.g. by reporting "GPU hung, committing suicide"), but the real issue is that the GPU is hanging on resume... Do you have a dmesg after resuming?

It'd also be worthwhile testing this out with a fresh kernel, e.g. 3.13.2, as this issue may have gotten fixed in the meanwhile.

I am attaching dmesg after reboot.

Created attachment 93634
dmesg after reboot

I will also test this out with a fresh kernel and let you know.

Oh, I didn't notice you were already running 3.13 -- I highly doubt 3.13.x would help. 3.14-rc1 MIGHT but that's a low chance.

An interesting observation is that your BSP engine refuses MMIO writes when coming back from sleep, but it was fine on original boot. We're probably not initializing something we should be... :( [The BSP engine in itself isn't that important -- it's for h264 decoding, but it's an unfortunate indicator.]

And then you end up with a bunch of

[ 5298.803245] nouveau E[ PFB][0000:02:00.0] trapped read at 0x0020ea1200 on channel 0x0000fc33 [compiz[2007]] PGRAPH/DISPATCH/M2M_IN reason: NULL_DMAOBJ

Which eventually kill X as well.

It's not super-clear from your report, but did this work prior to Ubuntu 13.04? If so, can you figure out what kernel version you were using back when it did work?

Changed in xorg-server:
importance: Unknown → Medium
status: Unknown → Confirmed

I started having Xorg server crashes from kernel 3.8.0-35 on wards. Up to kernel 3.7.10 I had ho crashes after suspension (that is until Ubuntu Quantal Quetzal no crashes, from Ubuntu Raring Ringtail I stared having crashes).
Carla

This is the link with Ubuntu mainline kernels: http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D.
I starded having crashes from v3.8-raring.

Would you be able to do a bisect between 3.7 and 3.8?

Another user identified commit 4f6029da58ba (in bug #67878) which came in between 3.7 and 3.8 -- perhaps you have the same issue? It's a different card, so might be different... a bunch of stuff changed between 3.7 and 3.8.

(In reply to comment #9)
> Would you be able to do a bisect between 3.7 and 3.8?

To be honest I never did a kernel bisect, but I can try. I will try and let you know.

I started with compiling kernel v.3.8 19f949f from git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git.
When I boot my PC with kernel 3.8 lightdm doesn't even start and I get a black screen, I am attaching dmesg from booting on kernel 3.8.
After re-booting on Ubuntu kernel again I get a crash report from Xorg, so I suppose Xorg crashed.

Created attachment 93952
dmesg from kernel 3.8

dmesg output after booting my PC with kernel v.3.8.

I will continue testing previous kernels to v. 3.8.

I started bisecting kernel from 3.7 to 3.8 this is the bisect log output:

letozaf@letozaf-PC:~/Documents/linux$ git bisect log
git bisect start
# good: [29594404d7fe73cd80eaa4ee8c43dcc53970c60e] Linux 3.7
git bisect good 29594404d7fe73cd80eaa4ee8c43dcc53970c60e
# bad: [19f949f52599ba7c3f67a5897ac6be14bfcb1200] Linux 3.8
git bisect bad 19f949f52599ba7c3f67a5897ac6be14bfcb1200
# good: [dadfab4873256d2145640c0ce468fcbfb48977fe] Merge tag 'firewire-updates' of git://git.kernel.org/pub/scm/linux/kernel/git/ieee1394/linux1394
git bisect good dadfab4873256d2145640c0ce468fcbfb48977fe
# bad: [992956189de58cae9f2be40585bc25105cd7c5ad] efi: Fix the build with user namespaces enabled.
git bisect bad 992956189de58cae9f2be40585bc25105cd7c5ad

I stopped as the second kernel test, the 992956189de58cae9f2be40585bc25105cd7c5ad one, after suspension gave me a black screen and I could not resume, had to switch of my PC by pushing power button.
After reboot apport reported an Xorg crash.
So I think the problem is on this kernel commit (992956189de58cae9f2be40585bc25105cd7c5ad).

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu Package testing tracker.

A list of all reports related to this bug can be found here:
http://packages.qa.ubuntu.com/qatracker/reports/bugs/1238902

tags: added: package-qa-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.